You are not logged in.

#1 2018-08-02 23:10:37

kalasmannen
Member
From: Örebro, Sweden
Registered: 2008-02-27
Posts: 39
Website

[SOLVED] Issues with Digikam 5.9.0 after -Syu (editor does not work)

Has anyone else noticed issues with digikam after upgrading recently? I had kept my system running without a pacman -Syu for a few weeks, and when I finally upgraded a lot of packages were in scope. After the upgrade, I noticed that digikam started to behave strangely. More specifically it's the "edit photo"-view that isn't really working.

The first time after launching the application, I can open a picture in edit mode (F4), but it opens without the toolbars and menubars active. They can be activated though, and I can work on the picture as usual.

The second time I open a picture in edit mode after launch, I just get a gray window with no menu or toolbars active. I can activate the toolbar, but nothing else. The picture does not even display.

To see what I mean, I link to this imgur-post where I have a screenshot of the thing I'm seeing. https://imgur.com/a/R4SL5VR

Things I've tried so far:

* Re-creating configuration files in home (renaming, moving and reconfigure the application)
* Downgraded some of the Qt5-dependencies to the previously known good version (actually worked somewhat, but caused other weird behavior)
* Re-built the digikam-package from the official PKGBUILD on a fully updated VM and installed that version of the package (didn't make any difference as far as I can tell)

Here is also a full list of the packages that were upgraded during my -Syu:

[2018-07-28 10:04] [ALPM] upgraded archlinux-keyring (20180404-1 -> 20180627-1)
[2018-07-28 10:07] [ALPM] upgraded attr (2.4.47-3 -> 2.4.48-1)
[2018-07-28 10:07] [ALPM] upgraded acl (2.2.52-4 -> 2.2.53-1)
[2018-07-28 10:07] [ALPM] upgraded libgpg-error (1.31-1 -> 1.32-1)
[2018-07-28 10:07] [ALPM] upgraded libgcrypt (1.8.2-1 -> 1.8.3-1)
[2018-07-28 10:07] [ALPM] upgraded libsystemd (238.133-1 -> 239.0-2)
[2018-07-28 10:07] [ALPM] upgraded device-mapper (2.02.177-5 -> 2.02.180-1)
[2018-07-28 10:07] [ALPM] upgraded libutil-linux (2.32-3 -> 2.32.1-1)
[2018-07-28 10:07] [ALPM] upgraded json-c (0.13-1 -> 0.13.1-1)
[2018-07-28 10:07] [ALPM] upgraded cryptsetup (2.0.3-1 -> 2.0.3-2)
[2018-07-28 10:07] [ALPM] upgraded hwids (20171003-1 -> 20180518-1)
[2018-07-28 10:07] [ALPM] upgraded zlib (1:1.2.11-2 -> 1:1.2.11-3)
[2018-07-28 10:07] [ALPM] upgraded e2fsprogs (1.44.2-1 -> 1.44.3-1)
[2018-07-28 10:07] [ALPM] upgraded gdbm (1.14.1-1 -> 1.16-1)
[2018-07-28 10:07] [ALPM] upgraded perl (5.26.2-1 -> 5.26.2-2)
[2018-07-28 10:07] [ALPM] upgraded libsasl (2.1.26-12 -> 2.1.26-13)
[2018-07-28 10:07] [ALPM] upgraded pam (1.3.0-2 -> 1.3.1-1)
[2018-07-28 10:07] [ALPM] upgraded libseccomp (2.3.2-2 -> 2.3.3-1)
[2018-07-28 10:07] [ALPM] upgraded util-linux (2.32-3 -> 2.32.1-1)
[2018-07-28 10:07] [ALPM] upgraded libnftnl (1.1.0-1 -> 1.1.1-1)
[2018-07-28 10:07] [ALPM] upgraded systemd (238.133-1 -> 239.0-2)
[2018-07-28 10:07] [ALPM] upgraded libwacom (0.29-1 -> 0.30-1)
[2018-07-28 10:07] [ALPM] upgraded libinput (1.11.0-1 -> 1.11.2-1)
[2018-07-28 10:07] [ALPM] upgraded libxkbcommon (0.8.0-1 -> 0.8.0-2)
[2018-07-28 10:07] [ALPM] upgraded libxkbcommon-x11 (0.8.0-1 -> 0.8.0-2)
[2018-07-28 10:07] [ALPM] upgraded gnutls (3.5.18-1 -> 3.5.19-1)
[2018-07-28 10:07] [ALPM] upgraded libtiff (4.0.9-1 -> 4.0.9-2)
[2018-07-28 10:07] [ALPM] upgraded avahi (0.7+4+gd8d8c67-1 -> 0.7+16+g1cc2b8e-1)
[2018-07-28 10:07] [ALPM] upgraded libcups (2.2.7-2 -> 2.2.8-3)
[2018-07-28 10:07] [ALPM] upgraded harfbuzz (1.8.0-1 -> 1.8.4-1)
[2018-07-28 10:07] [ALPM] upgraded libedit (20170329_3.1-1 -> 20180525_3.1-1)
[2018-07-28 10:07] [ALPM] upgraded llvm-libs (6.0.0-4 -> 6.0.1-1)
[2018-07-28 10:07] [ALPM] upgraded mesa (18.1.1-1 -> 18.1.4-1)
[2018-07-28 10:07] [ALPM] upgraded egl-wayland (1.0.4-1 -> 1.0.5-1)
[2018-07-28 10:07] [ALPM] upgraded xf86-input-libinput (0.27.1-1 -> 0.28.0-1)
[2018-07-28 10:07] [ALPM] upgraded xorg-server-common (1.20.0-6 -> 1.20.0-9)
[2018-07-28 10:07] [ALPM] upgraded xorg-server (1.20.0-6 -> 1.20.0-9)
[2018-07-28 10:07] [ALPM] upgraded qt5-base (5.11.0-1 -> 5.11.1-1)
[2018-07-28 10:07] [ALPM] upgraded zstd (1.3.4-1 -> 1.3.5-1)
[2018-07-28 10:07] [ALPM] upgraded btrfs-progs (4.16.1-2 -> 4.17-1)
[2018-07-28 10:07] [ALPM] upgraded xfsprogs (4.16.1-1 -> 4.17.0-1)
[2018-07-28 10:07] [ALPM] upgraded gptfdisk (1.0.3-1 -> 1.0.4-1)
[2018-07-28 10:07] [ALPM] upgraded lvm2 (2.02.177-5 -> 2.02.180-1)
[2018-07-28 10:07] [ALPM] upgraded ndctl (60.3-1 -> 61.2-1)
[2018-07-28 10:07] [ALPM] upgraded nss (3.37.1-1 -> 3.38-1)
[2018-07-28 10:07] [ALPM] upgraded npth (1.5-1 -> 1.6-1)
[2018-07-28 10:07] [ALPM] upgraded pinentry (1.1.0-3 -> 1.1.0-4)
[2018-07-28 10:07] [ALPM] upgraded gnupg (2.2.7-1 -> 2.2.9-1)
[2018-07-28 10:07] [ALPM] upgraded libblockdev (2.17-3 -> 2.18-1)
[2018-07-28 10:07] [ALPM] upgraded js52 (52.7.3-2 -> 52.9.0-1)
[2018-07-28 10:07] [ALPM] upgraded solid (5.46.0-1 -> 5.48.0-1)
[2018-07-28 10:07] [ALPM] upgraded kcoreaddons (5.46.0-1 -> 5.48.0-2)
[2018-07-28 10:07] [ALPM] upgraded kwidgetsaddons (5.46.0-1 -> 5.48.0-2)
[2018-07-28 10:07] [ALPM] upgraded qt5-x11extras (5.11.0-1 -> 5.11.1-1)
[2018-07-28 10:07] [ALPM] upgraded kjobwidgets (5.46.0-1 -> 5.48.0-2)
[2018-07-28 10:07] [ALPM] upgraded kdbusaddons (5.46.0-1 -> 5.48.0-2)
[2018-07-28 10:07] [ALPM] upgraded kconfig (5.46.0-1 -> 5.48.0-2)
[2018-07-28 10:07] [ALPM] upgraded kwindowsystem (5.46.0-1 -> 5.48.0-1)
[2018-07-28 10:07] [ALPM] upgraded kcrash (5.46.0-1 -> 5.48.0-1)
[2018-07-28 10:07] [ALPM] upgraded kglobalaccel (5.46.0-1 -> 5.48.0-1)
[2018-07-28 10:07] [ALPM] upgraded kcompletion (5.46.0-1 -> 5.48.0-2)
[2018-07-28 10:07] [ALPM] upgraded qt5-script (5.11.0-2 -> 5.11.1-1)
[2018-07-28 10:07] [ALPM] upgraded ki18n (5.46.0-1 -> 5.48.1-2)
[2018-07-28 10:07] [ALPM] upgraded kservice (5.46.0-1 -> 5.48.0-1)
[2018-07-28 10:07] [ALPM] upgraded qt5-svg (5.11.0-1 -> 5.11.1-1)
[2018-07-28 10:07] [ALPM] upgraded kauth (5.46.0-1 -> 5.48.0-2)
[2018-07-28 10:07] [ALPM] upgraded kcodecs (5.46.0-1 -> 5.48.0-2)
[2018-07-28 10:07] [ALPM] upgraded kguiaddons (5.46.0-1 -> 5.48.0-2)
[2018-07-28 10:07] [ALPM] upgraded kconfigwidgets (5.46.0-1 -> 5.48.0-2)
[2018-07-28 10:07] [ALPM] upgraded kitemviews (5.46.0-1 -> 5.48.0-2)
[2018-07-28 10:07] [ALPM] upgraded karchive (5.46.0-1 -> 5.48.0-1)
[2018-07-28 10:07] [ALPM] upgraded kiconthemes (5.46.0-1 -> 5.48.0-1)
[2018-07-28 10:07] [ALPM] upgraded sonnet (5.46.0-1 -> 5.48.0-1)
[2018-07-28 10:07] [ALPM] upgraded gstreamer (1.14.1-1 -> 1.14.2-1)
[2018-07-28 10:07] [ALPM] upgraded gst-plugins-base-libs (1.14.1-1 -> 1.14.2-1)
[2018-07-28 10:07] [ALPM] upgraded fribidi (1.0.2-1 -> 1.0.4-1)
[2018-07-28 10:07] [ALPM] upgraded libdatrie (0.2.10-2 -> 0.2.12-1)
[2018-07-28 10:07] [ALPM] upgraded pango (1.42.1-1 -> 1.42.2-1)
[2018-07-28 10:07] [ALPM] upgraded graphene (1.8.0-1 -> 1.8.2-1)
[2018-07-28 10:07] [ALPM] upgraded libogg (1.3.3-2 -> 1.3.3-3)
[2018-07-28 10:07] [ALPM] upgraded gst-plugins-base (1.14.1-1 -> 1.14.2-1)
[2018-07-28 10:07] [ALPM] upgraded libpulse (11.1-1 -> 12.2-2)
[2018-07-28 10:07] [ALPM] upgraded qt5-multimedia (5.11.0-1 -> 5.11.1-1)
[2018-07-28 10:07] [ALPM] upgraded qt5-speech (5.11.0-1 -> 5.11.1-1)
[2018-07-28 10:07] [ALPM] upgraded ktextwidgets (5.46.0-1 -> 5.48.0-1)
[2018-07-28 10:07] [ALPM] upgraded attica (5.46.0-1 -> 5.48.0-1)
[2018-07-28 10:07] [ALPM] upgraded kxmlgui (5.46.0-1 -> 5.48.0-2)
[2018-07-28 10:07] [ALPM] upgraded kbookmarks (5.46.0-1 -> 5.48.0-1)
[2018-07-28 10:07] [ALPM] upgraded lame (3.100-1 -> 3.100-2)
[2018-07-28 10:07] [ALPM] upgraded openjpeg2 (2.3.0-1 -> 2.3.0-2)
[2018-07-28 10:07] [ALPM] upgraded sdl2 (2.0.8-8 -> 2.0.8-9)
[2018-07-28 10:07] [ALPM] upgraded libva (2.1.0-1 -> 2.2.0-2)
[2018-07-28 10:07] [ALPM] upgraded python2 (2.7.15-1 -> 2.7.15-2)
[2018-07-28 10:07] [ALPM] upgraded python-dbus-common (1.2.6-1 -> 1.2.8-1)
[2018-07-28 10:07] [ALPM] upgraded python2-dbus (1.2.6-1 -> 1.2.8-1)
[2018-07-28 10:07] [ALPM] upgraded python (3.6.5-3 -> 3.6.6-1)
[2018-07-28 10:07] [ALPM] upgraded python-dbus (1.2.6-1 -> 1.2.8-1)
[2018-07-28 10:07] [ALPM] upgraded sysfsutils (2.1.0-9 -> 2.1.0-10)
[2018-07-28 10:07] [ALPM] upgraded ffmpeg (1:4.0-3 -> 1:4.0.2-1)
[2018-07-28 10:07] [ALPM] upgraded libxinerama (1.1.3-3 -> 1.1.4-1)
[2018-07-28 10:07] [ALPM] upgraded lua (5.3.4-2 -> 5.3.5-1)
[2018-07-28 10:07] [ALPM] upgraded libdca (0.0.5-5 -> 0.0.6-1)
[2018-07-28 10:07] [ALPM] upgraded vulkan-icd-loader (1.1.73.0-1 -> 1.1.80+2940+da58202e9-1)
[2018-07-28 10:07] [ALPM] upgraded libplacebo (0.4.0-1 -> 0.5.0-1)
[2018-07-28 10:07] [ALPM] upgraded vlc (3.0.2-2 -> 3.0.3-2)
[2018-07-28 10:07] [ALPM] upgraded knotifications (5.46.0-1 -> 5.48.0-1)
[2018-07-28 10:07] [ALPM] upgraded kwallet (5.46.0-1 -> 5.48.0-1)
[2018-07-28 10:07] [ALPM] upgraded kio (5.46.0-1 -> 5.48.0-1)
[2018-07-28 10:07] [ALPM] upgraded kitemmodels (5.46.0-1 -> 5.48.0-2)
[2018-07-28 10:07] [ALPM] upgraded libmariadbclient (10.1.33-1 -> 10.1.34-1)
[2018-07-28 10:07] [ALPM] upgraded mariadb-clients (10.1.33-1 -> 10.1.34-1)
[2018-07-28 10:07] [ALPM] upgraded mariadb (10.1.33-1 -> 10.1.34-1)
[2018-07-28 10:07] [ALPM] upgraded akonadi (18.04.2-1 -> 18.04.3-1)
[2018-07-28 10:07] [ALPM] upgraded kcontacts (18.04.2-1 -> 18.04.3-1)
[2018-07-28 10:07] [ALPM] upgraded kmime (18.04.2-1 -> 18.04.3-1)
[2018-07-28 10:07] [ALPM] upgraded prison (5.46.0-1 -> 5.48.0-1)
[2018-07-28 10:07] [ALPM] upgraded akonadi-contacts (18.04.2-1 -> 18.04.3-1)
[2018-07-28 10:07] [ALPM] upgraded android-tools (8.1.0_r7-1 -> 8.1.0_r33-1)
[2018-07-28 10:07] [ALPM] upgraded android-udev (20180112-1 -> 20180715-1)
[2018-07-28 10:07] [ALPM] upgraded aspell-en (2017.08.24-1 -> 2018.04.16-1)
[2018-07-28 10:07] [ALPM] upgraded minizip (1:1.2.11-2 -> 1:1.2.11-3)
[2018-07-28 10:07] [ALPM] upgraded re2 (20180401-1 -> 20180701-1)
[2018-07-28 10:07] [ALPM] upgraded libgusb (0.2.11-1 -> 0.3.0-1)
[2018-07-28 10:07] [ALPM] upgraded ca-certificates-mozilla (3.37.1-1 -> 3.38-1)
[2018-07-28 10:07] [ALPM] upgraded electron (1.8.4-2 -> 2.0.5-1)
[2018-07-28 10:07] [ALPM] upgraded libnghttp2 (1.31.1-1 -> 1.32.0-1)
[2018-07-28 10:07] [ALPM] upgraded libuv (1.20.3-1 -> 1.22.0-1)
[2018-07-28 10:07] [ALPM] upgraded nodejs (10.4.0-1 -> 10.7.0-1)
[2018-07-28 10:07] [ALPM] upgraded node-gyp (3.6.2-1 -> 3.7.0-1)
[2018-07-28 10:07] [ALPM] upgraded npm (6.1.0-1 -> 6.2.0-1)
[2018-07-28 10:07] [ALPM] upgraded atom (1.27.2-1 -> 1.28.2-1)
[2018-07-28 10:07] [ALPM] upgraded babl (0.1.50+5+g7af0e8c-1 -> 0.1.52-1)
[2018-07-28 10:07] [ALPM] upgraded iproute2 (4.16.0-1 -> 4.17.0-1)
[2018-07-28 10:07] [ALPM] upgraded badvpn (1.999.130-2 -> 1.999.130-3)
[2018-07-28 10:07] [ALPM] upgraded linux-firmware (20180518.2a9b2cf-1 -> 20180606.d114732-1)
[2018-07-28 10:07] [ALPM] upgraded linux (4.16.13-2 -> 4.17.10-1)
[2018-07-28 10:07] [ALPM] upgraded bbswitch (0.8-139 -> 0.8-151)
[2018-07-28 10:07] [ALPM] upgraded bind-tools (9.13.0-1 -> 9.13.0-2)
[2018-07-28 10:07] [ALPM] upgraded boost-libs (1.67.0-4 -> 1.67.0-5)
[2018-07-28 10:07] [ALPM] upgraded zeromq (4.2.2-2 -> 4.2.5-1)
[2018-07-28 10:07] [ALPM] upgraded bitcoin-qt (0.16.0-3 -> 0.16.1-1)
[2018-07-28 10:07] [ALPM] upgraded bluez (5.50-2 -> 5.50-3)
[2018-07-28 10:07] [ALPM] upgraded bluez-libs (5.50-2 -> 5.50-3)
[2018-07-28 10:07] [ALPM] upgraded bluez-utils (5.50-2 -> 5.50-3)
[2018-07-28 10:07] [ALPM] upgraded borg (1.1.5-2 -> 1.1.6-2)
[2018-07-28 10:07] [ALPM] upgraded brotli (1.0.4-1 -> 1.0.5-1)
[2018-07-28 10:07] [ALPM] upgraded virtualgl (2.5.2-3 -> 2.5.2-4)
[2018-07-28 10:07] [ALPM] upgraded bumblebee (3.2.1-17 -> 3.2.1-18)
[2018-07-28 10:07] [ALPM] upgraded python2-lxml (4.2.1-1 -> 4.2.3-1)
[2018-07-28 10:07] [ALPM] upgraded python2-html5-parser (0.4.5-1 -> 0.4.5-2)
[2018-07-28 10:07] [ALPM] upgraded python2-pillow (5.1.0-1 -> 5.2.0-1)
[2018-07-28 10:07] [ALPM] upgraded pyqt5-common (5.10.1-3 -> 5.11.2-1)
[2018-07-28 10:07] [ALPM] upgraded python2-pyqt5 (5.10.1-3 -> 5.11.2-1)
[2018-07-28 10:07] [ALPM] upgraded python2-apsw (3.23.1-1 -> 3.24.0-1)
[2018-07-28 10:07] [ALPM] upgraded qt5-xmlpatterns (5.11.0-1 -> 5.11.1-1)
[2018-07-28 10:07] [ALPM] upgraded qt5-declarative (5.11.0-1 -> 5.11.1-1)
[2018-07-28 10:07] [ALPM] upgraded qt5-location (5.11.0-1 -> 5.11.1-1)
[2018-07-28 10:07] [ALPM] upgraded qt5-sensors (5.11.0-1 -> 5.11.1-1)
[2018-07-28 10:07] [ALPM] upgraded qt5-webchannel (5.11.0-1 -> 5.11.1-1)
[2018-07-28 10:08] [ALPM] upgraded qt5-webkit (5.212.0alpha2-15 -> 5.212.0alpha2-18)
[2018-07-28 10:08] [ALPM] upgraded python2-regex (2018.06.09-1 -> 2018.07.11-1)
[2018-07-28 10:08] [ALPM] upgraded libunrar (1:5.6.4-1 -> 1:5.6.5-1)
[2018-07-28 10:08] [ALPM] upgraded calibre (3.25.0-1 -> 3.28.0-1)
[2018-07-28 10:08] [ALPM] upgraded curl (7.60.0-1 -> 7.61.0-2)
[2018-07-28 10:08] [ALPM] upgraded ceph-libs (13.2.0-1 -> 13.2.0-4)
[2018-07-28 10:08] [ALPM] upgraded python2-pbr (4.0.4-1 -> 4.1.0-1)
[2018-07-28 10:08] [ALPM] upgraded python2-cheroot (6.3.1-1 -> 6.3.3-1)
[2018-07-28 10:08] [ALPM] upgraded python2-pytz (2018.4-1 -> 2018.5-1)
[2018-07-28 10:08] [ALPM] upgraded python2-tempora (1.11-1 -> 1.13-1)
[2018-07-28 10:08] [ALPM] upgraded python2-portend (2.2-1 -> 2.3-1)
[2018-07-28 10:08] [ALPM] upgraded python2-jaraco (2017.11.25-1 -> 2018.07.20-1)
[2018-07-28 10:08] [ALPM] upgraded python2-cherrypy (15.0.0-1 -> 17.0.0-1)
[2018-07-28 10:08] [ALPM] upgraded python2-pecan (1.3.2-1 -> 1.3.2-2)
[2018-07-28 10:08] [ALPM] upgraded python2-idna (2.6-1 -> 2.7-2)
[2018-07-28 10:08] [ALPM] upgraded python2-requests (2.18.4-3 -> 2.19.1-1)
[2018-07-28 10:08] [ALPM] upgraded fuse-common (3.2.3-1 -> 3.2.4-2)
[2018-07-28 10:08] [ALPM] upgraded ceph (13.2.0-1 -> 13.2.0-4)
[2018-07-28 10:08] [ALPM] upgraded pciutils (3.5.6-1 -> 3.6.1-1)
[2018-07-28 10:08] [ALPM] upgraded xorg-mkfontdir (1.0.7-8 -> 1.0.7-9)
[2018-07-28 10:08] [ALPM] upgraded chromium (67.0.3396.79-1 -> 68.0.3440.75-1)
[2018-07-28 10:08] [ALPM] upgraded talloc (2.1.13-1 -> 2.1.14-1)
[2018-07-28 10:08] [ALPM] upgraded libwbclient (4.8.2-1 -> 4.8.3-2)
[2018-07-28 10:08] [ALPM] upgraded cifs-utils (6.7-2 -> 6.8-2)
[2018-07-28 10:08] [ALPM] upgraded clamav (0.100.0-1 -> 0.100.0-2)
[2018-07-28 10:08] [ALPM] upgraded compiler-rt (6.0.0-1 -> 6.0.1-2)
[2018-07-28 10:08] [ALPM] upgraded clang (6.0.0-1 -> 6.0.1-1)
[2018-07-28 10:08] [ALPM] upgraded cmake (3.11.3-1 -> 3.11.4-2)
[2018-07-28 10:09] [ALPM] upgraded cuda (9.2.88.1-2 -> 9.2.148-1)
[2018-07-28 10:09] [ALPM] upgraded qpdf (8.0.2-1 -> 8.1.0-1)
[2018-07-28 10:09] [ALPM] upgraded libmagick (7.0.7.38-1 -> 7.0.8.8-1)
[2018-07-28 10:09] [ALPM] upgraded imagemagick (7.0.7.38-1 -> 7.0.8.8-1)
[2018-07-28 10:09] [ALPM] upgraded liblouis (3.5.0-1 -> 3.6.0-1)
[2018-07-28 10:09] [ALPM] upgraded cups-filters (1.20.3-2 -> 1.20.4-1)
[2018-07-28 10:09] [ALPM] upgraded cups (2.2.7-2 -> 2.2.8-3)
[2018-07-28 10:09] [ALPM] upgraded cyrus-sasl (2.1.26-11 -> 2.1.26-12)
[2018-07-28 10:09] [ALPM] upgraded cyrus-sasl-gssapi (2.1.26-11 -> 2.1.26-12)
[2018-07-28 10:09] [ALPM] upgraded cyrus-sasl-ldap (2.1.26-11 -> 2.1.26-12)
[2018-07-28 10:09] [ALPM] upgraded cython (0.28.3-2 -> 0.28.4-1)
[2018-07-28 10:09] [ALPM] upgraded dhcpcd (7.0.4-1 -> 7.0.5b-1)
[2018-07-28 10:09] [ALPM] upgraded dialog (1:1.3_20171209-1 -> 1:1.3_20180621-1)
[2018-07-28 10:09] [ALPM] upgraded efivar (34-1 -> 35-1)
[2018-07-28 10:09] [ALPM] upgraded efibootmgr (15-1 -> 16-1)
[2018-07-28 10:09] [ALPM] upgraded eog (3.28.2-1 -> 3.28.3-1)
[2018-07-28 10:09] [ALPM] upgraded ethtool (1:4.16-1 -> 1:4.17-1)
[2018-07-28 10:09] [ALPM] upgraded libgweather (3.28.1-1 -> 3.28.2-1)
[2018-07-28 10:09] [ALPM] upgraded libphonenumber (8.9.4-2 -> 8.9.8-1)
[2018-07-28 10:09] [ALPM] upgraded geoclue2 (2.4.7-1 -> 2.4.10-1)
[2018-07-28 10:09] [ALPM] upgraded harfbuzz-icu (1.8.0-1 -> 1.8.4-1)
[2018-07-28 10:09] [ALPM] upgraded webkit2gtk (2.20.2-1 -> 2.20.3-1)
[2018-07-28 10:09] [ALPM] upgraded evolution-data-server (3.28.2-1 -> 3.28.4-1)
[2018-07-28 10:09] [ALPM] upgraded evolution (3.28.2-1 -> 3.28.4-1)
[2018-07-28 10:09] [ALPM] upgraded libxfce4util (4.12.1-2 -> 4.13.2-1)
[2018-07-28 10:09] [ALPM] upgraded exo (0.12.0-1 -> 0.12.2-1)
[2018-07-28 10:09] [ALPM] upgraded fakeroot (1.22-1 -> 1.23-1)
[2018-07-28 10:09] [ALPM] upgraded feh (2.26.3-2 -> 2.27.1-1)
[2018-07-28 10:09] [ALPM] upgraded filebeat (6.2.4-1 -> 6.3.1-1)
[2018-07-28 10:09] [ALPM] upgraded libfilezilla (0.12.2-1 -> 0.13.0-1)
[2018-07-28 10:09] [ALPM] upgraded filezilla (3.33.0-1 -> 3.35.1-1)
[2018-07-28 10:09] [ALPM] upgraded firefox (60.0.2-1 -> 61.0.1-1)
[2018-07-28 10:09] [ALPM] upgraded firejail (0.9.52-1 -> 0.9.54-1)
[2018-07-28 10:09] [ALPM] upgraded fltk (1.3.4.2-2 -> 1.3.4.2-3)
[2018-07-28 10:09] [ALPM] upgraded fluidsynth (1.1.11-1 -> 1.1.11-2)
[2018-07-28 10:09] [ALPM] upgraded kpackage (5.46.0-1 -> 5.48.0-1)
[2018-07-28 10:10] [ALPM] upgraded knewstuff (5.46.0-1 -> 5.48.0-1)
[2018-07-28 10:10] [ALPM] upgraded frameworkintegration (5.46.0-1 -> 5.48.0-1)
[2018-07-28 10:10] [ALPM] upgraded gc (7.6.4-1 -> 7.6.6-1)
[2018-07-28 10:10] [ALPM] upgraded proj (5.0.1-1 -> 5.1.0-1)
[2018-07-28 10:10] [ALPM] upgraded gdal (2.3.0-1 -> 2.3.1-1)
[2018-07-28 10:10] [ALPM] upgraded libraw (0.18.11-1 -> 0.18.13-1)
[2018-07-28 10:10] [ALPM] upgraded intel-tbb (2018_20180312-1 -> 2018_20180618-1)
[2018-07-28 10:10] [ALPM] upgraded suitesparse (5.2.0-1 -> 5.3.0-1)
[2018-07-28 10:10] [ALPM] upgraded ilmbase (2.2.1-3 -> 2.2.1-4)
[2018-07-28 10:10] [ALPM] upgraded gegl (0.4.2+14+g190a81b4a-1 -> 0.4.4-1)
[2018-07-28 10:10] [ALPM] upgraded libmypaint (1.3.0-5 -> 1.3.0-6)
[2018-07-28 10:10] [ALPM] upgraded gimp (2.10.2-1 -> 2.10.4-2)
[2018-07-28 10:10] [ALPM] upgraded git (2.17.1-1 -> 2.18.0-1)
[2018-07-28 10:10] [ALPM] upgraded glusterfs (1:4.0.2-1 -> 1:4.1.1-1)
[2018-07-28 10:10] [ALPM] upgraded gmrun (0.9.2-7 -> 0.9.4w-1)
[2018-07-28 10:10] [ALPM] upgraded grub (2:2.02-5 -> 2:2.02-7)
[2018-07-28 10:10] [ALPM] upgraded gsl (2.4-1 -> 2.5-1)
[2018-07-28 10:10] [ALPM] upgraded gst-libav (1.14.1-1 -> 1.14.2-1)
[2018-07-28 10:10] [ALPM] upgraded webrtc-audio-processing (0.3-2 -> 0.3.1-1)
[2018-07-28 10:10] [ALPM] upgraded srt (1.3.0-2 -> 1.3.1-1)
[2018-07-28 10:10] [ALPM] upgraded gst-plugins-bad (1.14.1-2 -> 1.14.2-1)
[2018-07-28 10:10] [ALPM] upgraded gst-plugins-good (1.14.1-1 -> 1.14.2-1)
[2018-07-28 10:10] [ALPM] upgraded gst-plugins-ugly (1.14.1-1 -> 1.14.2-1)
[2018-07-28 10:10] [ALPM] upgraded gtksourceview3 (3.24.7-1 -> 3.24.8-1)
[2018-07-28 10:10] [ALPM] upgraded guile (2.2.3-1 -> 2.2.4-1)
[2018-07-28 10:10] [ALPM] upgraded gvfs (1.36.2-2 -> 1.36.2-3)
[2018-07-28 10:10] [ALPM] upgraded innoextract (1.6-4 -> 1.7-1)
[2018-07-28 10:10] [ALPM] upgraded jansson (2.10-3 -> 2.11-1)
[2018-07-28 10:10] [ALPM] upgraded kcalcore (18.04.2-1 -> 18.04.3-1)
[2018-07-28 10:10] [ALPM] upgraded kdeclarative (5.46.0-1 -> 5.48.0-1)
[2018-07-28 10:10] [ALPM] upgraded kcmutils (5.46.0-1 -> 5.48.0-1)
[2018-07-28 10:10] [ALPM] upgraded kdecoration (5.12.5-1 -> 5.13.3-1)
[2018-07-28 10:10] [ALPM] upgraded kinit (5.46.0-1 -> 5.48.0-1)
[2018-07-28 10:10] [ALPM] upgraded kded (5.46.0-1 -> 5.48.0-1)
[2018-07-28 10:10] [ALPM] upgraded kunitconversion (5.46.0-1 -> 5.48.0-1)
[2018-07-28 10:10] [ALPM] upgraded kemoticons (5.46.0-1 -> 5.48.0-1)
[2018-07-28 10:10] [ALPM] upgraded kparts (5.46.0-1 -> 5.48.0-1)
[2018-07-28 10:10] [ALPM] upgraded kdelibs4support (5.46.0-1 -> 5.48.0-1)
[2018-07-28 10:10] [ALPM] upgraded kfilemetadata (5.46.0-1 -> 5.48.0-1)
[2018-07-28 10:10] [ALPM] upgraded kjs (5.46.0-1 -> 5.48.0-1)
[2018-07-28 10:10] [ALPM] upgraded khtml (5.46.0-1 -> 5.48.0-1)
[2018-07-28 10:10] [ALPM] upgraded knotifyconfig (5.46.0-1 -> 5.48.0-1)
[2018-07-28 10:10] [ALPM] upgraded python2-simplejson (3.15.0-1 -> 3.16.0-1)
[2018-07-28 10:10] [ALPM] upgraded ldb (1.3.3-1 -> 1:1.3.4-2)
[2018-07-28 10:10] [ALPM] upgraded smbclient (4.8.2-1 -> 4.8.3-2)
[2018-07-28 10:10] [ALPM] upgraded kodi (17.6-5 -> 17.6-7)
[2018-07-28 10:10] [ALPM] upgraded krita (4.0.3-2 -> 4.1.1-1)
[2018-07-28 10:10] [ALPM] upgraded kross (5.46.0-1 -> 5.48.0-1)
[2018-07-28 10:10] [ALPM] upgraded syntax-highlighting (5.46.0-1 -> 5.48.0-1)
[2018-07-28 10:10] [ALPM] upgraded libgit2 (1:0.27.0-1 -> 1:0.27.2-1)
[2018-07-28 10:10] [ALPM] upgraded ktexteditor (5.46.0-1 -> 5.48.0-1)
[2018-07-28 10:10] [ALPM] upgraded kwayland (5.46.0-1 -> 5.48.0-1)
[2018-07-28 10:10] [ALPM] upgraded lib32-attr (2.4.47-2 -> 2.4.48-1)
[2018-07-28 10:10] [ALPM] upgraded lib32-acl (2.2.52-3 -> 2.2.53-1)
[2018-07-28 10:10] [ALPM] upgraded lib32-util-linux (2.32-1 -> 2.32.1-1)
[2018-07-28 10:10] [ALPM] upgraded lib32-e2fsprogs (1.44.2-1 -> 1.44.3-1)
[2018-07-28 10:10] [ALPM] upgraded lib32-libunistring (0.9.9-1 -> 0.9.10-1)
[2018-07-28 10:10] [ALPM] upgraded lib32-curl (7.60.0-1 -> 7.61.0-1)
[2018-07-28 10:10] [ALPM] upgraded lib32-fribidi (1.0.2-1 -> 1.0.4-1)
[2018-07-28 10:10] [ALPM] upgraded lib32-harfbuzz (1.8.0-1 -> 1.8.4-1)
[2018-07-28 10:10] [ALPM] upgraded libcurl-compat (7.60.0-1 -> 7.61.0-1)
[2018-07-28 10:10] [ALPM] upgraded lib32-libcurl-compat (7.60.0-1 -> 7.61.0-1)
[2018-07-28 10:10] [ALPM] upgraded libcurl-gnutls (7.60.0-1 -> 7.61.0-1)
[2018-07-28 10:10] [ALPM] upgraded lib32-p11-kit (0.23.11-1 -> 0.23.12-1)
[2018-07-28 10:10] [ALPM] upgraded lib32-libcurl-gnutls (7.60.0-1 -> 7.61.0-1)
[2018-07-28 10:10] [ALPM] upgraded lib32-libdatrie (0.2.10-1 -> 0.2.12-1)
[2018-07-28 10:10] [ALPM] upgraded lib32-libelf (0.170-1 -> 0.171-1)
[2018-07-28 10:10] [ALPM] upgraded lib32-libgcrypt (1.8.2-1 -> 1.8.3-1)
[2018-07-28 10:10] [ALPM] upgraded lib32-xz (5.2.3-1 -> 5.2.4-1)
[2018-07-28 10:10] [ALPM] upgraded lib32-systemd (238.133-1 -> 239.0-1)
[2018-07-28 10:10] [ALPM] upgraded lib32-libpulse (11.1-1 -> 12.2-1)
[2018-07-28 10:10] [ALPM] upgraded lib32-llvm-libs (6.0.0-1 -> 6.0.1-1)
[2018-07-28 10:10] [ALPM] upgraded lib32-mesa (18.0.4-2 -> 18.1.4-1)
[2018-07-28 10:10] [ALPM] upgraded lib32-pango (1.42.1-1 -> 1.42.2-1)
[2018-07-28 10:10] [ALPM] upgraded lib32-sdl2 (2.0.8-1 -> 2.0.8-9)
[2018-07-28 10:10] [ALPM] upgraded lib32-sqlite (3.22.0-1 -> 3.24.0-1)
[2018-07-28 10:10] [ALPM] upgraded lib32-vulkan-icd-loader (1.1.73.0-1 -> 1.1.80+2940+da58202e9-1)
[2018-07-28 10:10] [ALPM] upgraded vulkan-headers (1:1.1.76-1 -> 1:1.1.80-2)
[2018-07-28 10:10] [ALPM] upgraded lib32-vulkan-validation-layers (1.1.73.0-1 -> 1.1.79+7729+3bd8e348-1)
[2018-07-28 10:10] [ALPM] upgraded libfbclient (2.5.7.27050-5 -> 2.5.8.27089-1)
[2018-07-28 10:10] [ALPM] upgraded libkipi (18.04.2-1 -> 18.04.3-1)
[2018-07-28 10:10] [ALPM] upgraded libksane (18.04.2-1 -> 18.04.3-1)
[2018-07-28 10:10] [ALPM] upgraded libmagick6 (6.9.9.50-1 -> 6.9.10.8-1)
[2018-07-28 10:10] [ALPM] upgraded libnfs (2.0.0-1 -> 3.0.0-2)
[2018-07-28 10:10] [ALPM] upgraded libnm (1.10.8-1 -> 1.12.2-1)
[2018-07-28 10:10] [ALPM] upgraded libnm-glib (1.10.8-1 -> 1.12.2-1)
[2018-07-28 10:10] [ALPM] upgraded libodfgen (0.1.6-2 -> 0.1.7-1)
[2018-07-28 10:10] [ALPM] upgraded libopenshot-audio (0.1.5-1 -> 0.1.6-1)
[2018-07-28 10:10] [ALPM] upgraded libopenshot (0.1.9-8 -> 0.2.0-1)
[2018-07-28 10:10] [ALPM] upgraded osinfo-db (20180514-1 -> 20180612-1)
[2018-07-28 10:10] [ALPM] upgraded libosinfo (1.1.0-1 -> 1.2.0-1)
[2018-07-28 10:10] [ALPM] upgraded libsidplayfp (1.8.7-1 -> 1.8.8-1)
[2018-07-28 10:10] [ALPM] upgraded libsynctex (2017.44590-14 -> 2018.47465-2)
[2018-07-28 10:10] [ALPM] upgraded libva-intel-driver (2.1.0-1 -> 2.2.0-1)
[2018-07-28 10:10] [ALPM] upgraded libvirt (4.4.0-2 -> 4.5.0-1)
[2018-07-28 10:10] [ALPM] upgraded libvirt-python2 (4.3.0-1 -> 4.5.0-1)
[2018-07-28 10:10] [ALPM] upgraded linux-headers (4.16.13-2 -> 4.17.10-1)
[2018-07-28 10:10] [ALPM] upgraded mame (0.198-1 -> 0.200-1)
[2018-07-28 10:10] [ALPM] upgraded man-db (2.8.3-1 -> 2.8.3-2)
[2018-07-28 10:10] [ALPM] upgraded marble-common (18.04.2-1 -> 18.04.3-1)
[2018-07-28 10:10] [ALPM] upgraded marble (18.04.2-1 -> 18.04.3-1)
[2018-07-28 10:10] [ALPM] upgraded mathjax (2.7.4-1 -> 2.7.5-1)
[2018-07-28 10:10] [ALPM] upgraded mesa-vdpau (18.1.1-1 -> 18.1.4-1)
[2018-07-28 10:10] [ALPM] upgraded minetest-common (0.4.16-3 -> 0.4.17.1-1)
[2018-07-28 10:10] [ALPM] upgraded minetest (0.4.16-3 -> 0.4.17.1-1)
[2018-07-28 10:10] [ALPM] upgraded mkvtoolnix-cli (23.0.0-2 -> 25.0.0-1)
[2018-07-28 10:10] [ALPM] upgraded mkvtoolnix-gui (23.0.0-2 -> 25.0.0-1)
[2018-07-28 10:10] [ALPM] upgraded mlt (6.8.0-2 -> 6.10.0-1)
[2018-07-28 10:10] [ALPM] upgraded mlt-python-bindings (6.8.0-2 -> 6.10.0-1)
[2018-07-28 10:10] [ALPM] upgraded rubberband (1.8.1-4 -> 1.8.2-1)
[2018-07-28 10:10] [ALPM] upgraded mpv (1:0.28.2-2 -> 1:0.29.0-1)
[2018-07-28 10:10] [ALPM] upgraded netctl (1.16-1 -> 1.17-1)
[2018-07-28 10:10] [ALPM] upgraded networkmanager (1.10.8-1 -> 1.12.2-1)
[2018-07-28 10:10] [ALPM] upgraded nfsidmap (2.3.1-1 -> 2.3.2-2)
[2018-07-28 10:10] [ALPM] upgraded nfs-utils (2.3.1-1 -> 2.3.2-2)
[2018-07-28 10:10] [ALPM] upgraded nvidia (396.24-7 -> 396.24-20)
[2018-07-28 10:10] [ALPM] upgraded openbox (3.6.1-3 -> 3.6.1-4)
[2018-07-28 10:10] [ALPM] upgraded opencv (3.4.1-3 -> 3.4.2-1)
[2018-07-28 10:10] [ALPM] upgraded openimageio (1.8.12-1 -> 1.8.12-2)
[2018-07-28 10:10] [ALPM] upgraded python-pyqt5 (5.10.1-3 -> 5.11.2-1)
[2018-07-28 10:10] [ALPM] upgraded python-pillow (5.1.0-1 -> 5.2.0-1)
[2018-07-28 10:10] [ALPM] upgraded python-pyzmq (16.0.3-1 -> 17.0.0-1)
[2018-07-28 10:10] [ALPM] upgraded python-idna (2.6-1 -> 2.7-2)
[2018-07-28 10:10] [ALPM] upgraded python-requests (2.18.4-3 -> 2.19.1-1)
[2018-07-28 10:10] [ALPM] upgraded openshot (2.4.1-2 -> 2.4.2-1)
[2018-07-28 10:10] [ALPM] upgraded openssh (7.7p1-1 -> 7.7p1-2)
[2018-07-28 10:10] [ALPM] upgraded oxygen (5.12.5-1 -> 5.13.3-1)
[2018-07-28 10:10] [ALPM] upgraded oxygen-icons (1:5.46.0-1 -> 1:5.48.0-1)
[2018-07-28 10:10] [ALPM] upgraded pacman-mirrorlist (20180524-1 -> 20180710-1)
[2018-07-28 10:10] [ALPM] upgraded pulseaudio (11.1-1 -> 12.2-2)
[2018-07-28 10:10] [ALPM] upgraded paprefs (0.9.10-7 -> 0.9.10+16+g534d20a-1)
[2018-07-28 10:10] [ALPM] upgraded perl-image-exiftool (11.00-1 -> 11.01-1)
[2018-07-28 10:10] [ALPM] upgraded pkgconf (1.4.2-2 -> 1.5.2-1)
[2018-07-28 10:10] [ALPM] upgraded wine (3.9-1 -> 3.13-1)
[2018-07-28 10:10] [ALPM] upgraded playonlinux (4.2.12-1 -> 4.2.12-2)
[2018-07-28 10:10] [ALPM] upgraded postgis (2.4.4-2 -> 2.4.4-3)
[2018-07-28 10:10] [ALPM] upgraded proxychains-ng (4.12-1 -> 4.13-1)
[2018-07-28 10:10] [ALPM] upgraded pth (2.0.7-5 -> 2.0.7-6)
[2018-07-28 10:10] [ALPM] upgraded pulseaudio-bluetooth (11.1-1 -> 12.2-2)
[2018-07-28 10:10] [ALPM] upgraded python-cachecontrol (0.12.5-1 -> 0.12.5-2)
[2018-07-28 10:11] [ALPM] upgraded python-numpy (1.14.3-1 -> 1.14.5-1)
[2018-07-28 10:11] [ALPM] upgraded python-progress (1.3-2 -> 1.4-1)
[2018-07-28 10:11] [ALPM] upgraded python-ptyprocess (0.5.2-1 -> 0.6.0-1)
[2018-07-28 10:11] [ALPM] upgraded python-pytz (2018.4-1 -> 2018.5-1)
[2018-07-28 10:11] [ALPM] upgraded python-sip (4.19.8-1 -> 4.19.12-4)
[2018-07-28 10:11] [ALPM] upgraded python-sqlalchemy (1.2.8-1 -> 1.2.9-1)
[2018-07-28 10:11] [ALPM] upgraded python2-numpy (1.14.3-1 -> 1.14.5-1)
[2018-07-28 10:11] [ALPM] upgraded sip (4.19.8-1 -> 4.19.12-4)
[2018-07-28 10:11] [ALPM] upgraded python2-sip (4.19.8-1 -> 4.19.12-4)
[2018-07-28 10:11] [ALPM] upgraded qca-qt4 (2.1.3-10 -> 2.1.3-11)
[2018-07-28 10:11] [ALPM] upgraded qca-qt5 (2.1.3-10 -> 2.1.3-11)
[2018-07-28 10:11] [ALPM] upgraded qemu (2.12.0-1 -> 2.12.0-2)
[2018-07-28 10:11] [ALPM] upgraded qt5-graphicaleffects (5.11.0-1 -> 5.11.1-1)
[2018-07-28 10:11] [ALPM] upgraded qt5-quickcontrols (5.11.0-1 -> 5.11.1-1)
[2018-07-28 10:11] [ALPM] upgraded qt5-tools (5.11.0-1 -> 5.11.1-1)
[2018-07-28 10:11] [ALPM] upgraded qt5-webengine (5.11.0-2 -> 5.11.1-2)
[2018-07-28 10:11] [ALPM] upgraded quazip (0.7.3-4 -> 0.7.6-1)
[2018-07-28 10:11] [ALPM] upgraded radare2 (2.6.0-1 -> 2.7.0-1)
[2018-07-28 10:11] [ALPM] upgraded remmina (1:1.2.30-1 -> 1:1.2.30.1-1)
[2018-07-28 10:11] [ALPM] upgraded riot-web (0.15.4-1 -> 0.15.7-1)
[2018-07-28 10:11] [ALPM] upgraded riot-desktop (0.15.4-1 -> 0.15.7-1)
[2018-07-28 10:11] [ALPM] upgraded ruby (2.5.1-1 -> 2.5.1-2)
[2018-07-28 10:11] [ALPM] upgraded samba (4.8.2-1 -> 4.8.3-2)
[2018-07-28 10:11] [ALPM] upgraded strace (4.21-1 -> 4.23-1)
[2018-07-28 10:11] [ALPM] upgraded syncthing (0.14.47-1 -> 0.14.48-1)
[2018-07-28 10:11] [ALPM] upgraded sysdig (0.21.0-1 -> 0.22.0-1)
[2018-07-28 10:11] [ALPM] upgraded systemd-sysvcompat (238.133-1 -> 239.0-2)
[2018-07-28 10:11] [ALPM] upgraded texlive-bin (2017.44590-14 -> 2018.47465-2)
[2018-07-28 10:11] [ALPM] upgraded texlive-core (2017.46770-1 -> 2018.47471-1)
[2018-07-28 10:11] [ALPM] upgraded texlive-bibtexextra (2017.46775-1 -> 2018.47418-1)
[2018-07-28 10:11] [ALPM] upgraded texlive-fontsextra (2017.46787-1 -> 2018.47288-1)
[2018-07-28 10:11] [ALPM] upgraded texlive-formatsextra (2017.45845-1 -> 2018.47198-1)
[2018-07-28 10:11] [ALPM] upgraded texlive-games (2017.46791-1 -> 2018.47472-1)
[2018-07-28 10:11] [ALPM] upgraded texlive-latexextra (2017.46778-1 -> 2018.47410-1)
[2018-07-28 10:11] [ALPM] upgraded texlive-humanities (2017.46767-1 -> 2018.47359-1)
[2018-07-28 10:11] [ALPM] upgraded texlive-langextra (2017.46741-1 -> 2018.47226-1)
[2018-07-28 10:11] [ALPM] upgraded texlive-music (2017.46141-1 -> 2018.47198-1)
[2018-07-28 10:11] [ALPM] upgraded texlive-pictures (2017.46740-1 -> 2018.47373-1)
[2018-07-28 10:12] [ALPM] upgraded texlive-pstricks (2017.46667-1 -> 2018.47400-1)
[2018-07-28 10:12] [ALPM] upgraded texlive-publishers (2017.46790-1 -> 2018.47473-1)
[2018-07-28 10:12] [ALPM] upgraded texlive-science (2017.46789-1 -> 2018.47412-1)
[2018-07-28 10:12] [ALPM] upgraded threadweaver (5.46.0-1 -> 5.48.0-1)
[2018-07-28 10:12] [ALPM] upgraded thunar (1.6.15-1 -> 1.8.1.11.gf5147445-1)
[2018-07-28 10:12] [ALPM] upgraded thunderbird (52.8.0-1 -> 52.9.1-1)
[2018-07-28 10:12] [ALPM] upgraded tor (0.3.3.6-1 -> 0.3.3.9-1)
[2018-07-28 10:12] [ALPM] upgraded totem-plparser (3.26.0+11+g0091a56-1 -> 3.26.1-1)
[2018-07-28 10:12] [ALPM] upgraded tp_smapi (0.43-27 -> 0.43-39)
[2018-07-28 10:12] [ALPM] upgraded tracker (2.0.3-2 -> 2.1.0-1)
[2018-07-28 10:12] [ALPM] upgraded tumbler (0.2.1-1 -> 0.2.1-2)
[2018-07-28 10:12] [ALPM] upgraded usbutils (009-1 -> 010-1)
[2018-07-28 10:12] [ALPM] upgraded vbam-sdl (2.0.2-4 -> 2.1.0-1)
[2018-07-28 10:12] [ALPM] upgraded virtualbox-host-modules-arch (5.2.12-6 -> 5.2.16-5)
[2018-07-28 10:12] [ALPM] upgraded virtualbox (5.2.12-2 -> 5.2.16-1)
[2018-07-28 10:12] [ALPM] upgraded virtualbox-guest-modules-arch (5.2.12-6 -> 5.2.16-5)
[2018-07-28 10:12] [ALPM] upgraded virtualbox-guest-utils (5.2.12-2 -> 5.2.16-1)
[2018-07-28 10:12] [ALPM] upgraded vulkan-validation-layers (1.1.73.0-1 -> 1.1.79+7729+3bd8e348-1)
[2018-07-28 10:12] [ALPM] upgraded vulkan-extra-layers (1.1.73.0-1 -> 1.1.79+10184+7ae1b7c06-1)
[2018-07-28 10:12] [ALPM] upgraded vulkan-intel (18.1.1-1 -> 18.1.4-1)
[2018-07-28 10:12] [ALPM] upgraded whois (5.3.0-1 -> 5.3.2-1)
[2018-07-28 10:12] [ALPM] upgraded wireless-regdb (2017.03.07-1 -> 2018.05.31-2)
[2018-07-28 10:12] [ALPM] upgraded wireshark-cli (2.6.1-1 -> 2.6.2-1)
[2018-07-28 10:12] [ALPM] upgraded wireshark-common (2.6.1-1 -> 2.6.2-1)
[2018-07-28 10:12] [ALPM] upgraded wireshark-gtk (2.6.1-1 -> 2.6.2-1)
[2018-07-28 10:12] [ALPM] upgraded xapian-core (1:1.4.5-1 -> 1:1.4.6-1)
[2018-07-28 10:12] [ALPM] upgraded youtube-dl (2018.05.18-1 -> 2018.07.10-1)
[2018-07-28 10:12] [ALPM] upgraded zsh (5.5.1-1 -> 5.5.1-2)

Last edited by kalasmannen (2018-08-27 22:00:34)

Offline

#2 2018-08-03 01:53:58

sevendogs
Member
From: Texas
Registered: 2016-01-24
Posts: 201

Re: [SOLVED] Issues with Digikam 5.9.0 after -Syu (editor does not work)

I have the exact same problem and scoured the Internet for answers. Best I could find was to delete the picture databases and start fresh. Didn't work: same behavior: only allows an edit once, then blank window. Too bad since I liked Digikam. KDE forums not helpful - they are not very active.

My solution was to go back to Darktable and gimp, but it's not an optimal process because they don't work together so the workflow is a little convoluted.

I update my system daily so the behavior has nothing to do with your infrequent update.

Last edited by sevendogs (2018-08-03 01:54:58)


"Give a man a truth and he will think for a day. Teach a man to reason and he will think for a lifetime"

Offline

#3 2018-08-03 07:07:34

kalasmannen
Member
From: Örebro, Sweden
Registered: 2008-02-27
Posts: 39
Website

Re: [SOLVED] Issues with Digikam 5.9.0 after -Syu (editor does not work)

sevendogs wrote:

I have the exact same problem and scoured the Internet for answers. Best I could find was to delete the picture databases and start fresh. Didn't work: same behavior: only allows an edit once, then blank window.

Ah, then I'm not alone in seeing this!

sevendogs wrote:

I update my system daily so the behavior has nothing to do with your infrequent update.

Okay, that is also good to know. Did you by any chance create your database and configuration on version 4? Mine seems to hint that since the dbname is "digikam4.db" (running the default sqlite db). Then again, since you say that you re-created the database completely, I'm guessing that doesn't really help.

I'm going to try to set it up in a VM and see if I can find anything more out. Perhaps we should also file a bug-report about it.

Offline

#4 2018-08-03 07:26:28

V1del
Forum Moderator
Registered: 2012-10-16
Posts: 17,080

Re: [SOLVED] Issues with Digikam 5.9.0 after -Syu (editor does not work)

Likely related to https://bbs.archlinux.org/viewtopic.php?id=238827 and by extension https://bugs.kde.org/show_bug.cgi?id=395988 might potentially also need a digikam specific fix.

Online

#5 2018-08-03 09:22:21

kalasmannen
Member
From: Örebro, Sweden
Registered: 2008-02-27
Posts: 39
Website

Re: [SOLVED] Issues with Digikam 5.9.0 after -Syu (editor does not work)

I've done a installation in a fresh, completely updated VM, and can reproduce the behavior with a newly created digikam installation as well.

V1del wrote:

Likely related to https://bbs.archlinux.org/viewtopic.php?id=238827 and by extension https://bugs.kde.org/show_bug.cgi?id=395988 might potentially also need a digikam specific fix.

Ah, yes. That does seem related. Based on the information in that kde-bug, I guess that all we can do is wait for it to land in the repos. Thanks for the information!

Last edited by kalasmannen (2018-08-03 09:23:56)

Offline

#6 2018-08-03 13:46:52

sevendogs
Member
From: Texas
Registered: 2016-01-24
Posts: 201

Re: [SOLVED] Issues with Digikam 5.9.0 after -Syu (editor does not work)

kalasmannen wrote:

Okay, that is also good to know. Did you by any chance create your database and configuration on version 4? Mine seems to hint that since the dbname is "digikam4.db" (running the default sqlite db). Then again, since you say that you re-created the database completely, I'm guessing that doesn't really help.

I did not manually create the db - I just walked through the import process wizard and it created the db for me. Alas I do not have the install any longer so can't tell you what version db I had. Based on the subsequent posts, sounds like it is being addressed so I will just wait then.


"Give a man a truth and he will think for a day. Teach a man to reason and he will think for a lifetime"

Offline

#7 2018-08-17 13:07:44

Joe S
Member
Registered: 2013-01-18
Posts: 15

Re: [SOLVED] Issues with Digikam 5.9.0 after -Syu (editor does not work)

Hi,
this bug is so annoying when you want to edit images with digikam. Is there a workaround or when is the fix going to land in userland?

Offline

#8 2018-08-17 13:29:18

sevendogs
Member
From: Texas
Registered: 2016-01-24
Posts: 201

Re: [SOLVED] Issues with Digikam 5.9.0 after -Syu (editor does not work)

My workaround was to abandon digikam entirely and go back to Darktable and Gimp,  but the workflow is not optimal. I have since moved away from Arch entirely and the bug does not exist in the distro I am using.

Sorry, not the solution you were probably looking for.


"Give a man a truth and he will think for a day. Teach a man to reason and he will think for a lifetime"

Offline

#9 2018-08-17 16:13:30

V1del
Forum Moderator
Registered: 2012-10-16
Posts: 17,080

Re: [SOLVED] Issues with Digikam 5.9.0 after -Syu (editor does not work)

Is that distro also using qt 5.11.1 ? Afaik it's technically a regression in Qt though they claim that it did originally behave incorrectly

Online

#10 2018-08-17 18:08:22

sevendogs
Member
From: Texas
Registered: 2016-01-24
Posts: 201

Re: [SOLVED] Issues with Digikam 5.9.0 after -Syu (editor does not work)

Let me check when I have some time tonight and I'll post back the  qt version. Its openSuse Leap 15.

EDIT - running qt version 5.9.4 which is why I am not having the issue it seems.

Last edited by sevendogs (2018-08-17 20:29:54)


"Give a man a truth and he will think for a day. Teach a man to reason and he will think for a lifetime"

Offline

#11 2018-08-26 18:09:47

Joe S
Member
Registered: 2013-01-18
Posts: 15

Re: [SOLVED] Issues with Digikam 5.9.0 after -Syu (editor does not work)

I filed a  bug report and within two hours Antonio Rojas released digikam 5.9.0-2 which solves the problem. Thanks Antonio!

Offline

#12 2018-08-27 19:26:55

Dieter
Member
From: Germany
Registered: 2005-10-13
Posts: 136

Re: [SOLVED] Issues with Digikam 5.9.0 after -Syu (editor does not work)

Just updated digikam: digikam-5.9.0-2
Problem with editor showing only first picture and after that only blank screens is now fixed for me.

Offline

#13 2018-08-27 21:59:34

kalasmannen
Member
From: Örebro, Sweden
Registered: 2008-02-27
Posts: 39
Website

Re: [SOLVED] Issues with Digikam 5.9.0 after -Syu (editor does not work)

Joe S wrote:

I filed a  bug report and within two hours Antonio Rojas released digikam 5.9.0-2 which solves the problem. Thanks Antonio!

Oh, you filed it with Digikam, or in the Archlinux bugtracker? I thought it was a QT-issue that were being addressed, so I didn't think it would be needed, but we obviously should have done that at the time we discovered this as well apparently. Thanks for taking care of that!

Dieter wrote:

Just updated digikam: digikam-5.9.0-2
Problem with editor showing only first picture and after that only blank screens is now fixed for me.

Can confirm that it works for me as well now. So I'll mark the topic as solved, since upgrading digikam to 5.9.0-2 resolves the issue. In my case I had to also manually toggle the menubar off and on again for it to show, and after that I could use the menubar to turn on the toolbar and statusbar in the editor, after that everything worked as normal.

Offline

#14 2018-08-28 06:55:40

V1del
Forum Moderator
Registered: 2012-10-16
Posts: 17,080

Re: [SOLVED] Issues with Digikam 5.9.0 after -Syu (editor does not work)

Well Qt did change the behaviour, but (KDE) applIcations implemented the  window restore "incorrectly" thus mandating adjustments from the application. Most of them were covered by a change to the frameworks library, a few outliers (kmail and digikam come to moind) did implement a variant of it themselves.

Online

Board footer

Powered by FluxBB